public class TestBissextile {

/////////////////////////////////////////////  

/* Test si une annee est bissextile        */

  static boolean testBissextile(int annee) {
    boolean res;
    if ( annee%400 == 0 ) {
      res = true; }
      else {
      if ( annee%100 == 0 ) {
        res = false; }
        else {
        if ( annee%4 == 0 ) {
          res = true; }
          else {
          res = false; } } }
    return res;
  }
  
/////////////////////////////////////////////

/* Programme principal                     */

  public static void main(String [] args) {
    int a;
    boolean resultat;
    Ecran.afficher("SVP, l'annee         : ");
    a = Clavier.saisirInt();  
    resultat = testBissextile(a);
    Ecran.afficherln("Test de bissextilite : ",resultat);
  }
}